Subject: Re: bug#59003: [PATCH 0/7] [Installer] Warn about unsupported devices

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Tue, 15 Nov 2022 19:28:47 +0100

Ludovic Courtès <[email-masked]> writes:
> "pelzflorian (Florian Pelz)" <[email-masked]> skribis:
>> Ludovic Courtès <[email-masked]> writes:
>>> +(define %unsupported-linux-modules
>>> +  '([…]
>>> +    ;; Graphics.
>>> +    "amdgpu"
>>> +    "radeon"
>> Yes, this is fine, I think, even though AMD users will have also gotten
>> the uvesafb warning before and even though allegedly some AMD devices
>> work okay without firmware (except for 3d, according to h-node).
> Right, I think it’s only 3D that won’t work.  Maybe we should remove
> them?

Allegedly for some people only 3d is broken, but my AMD PCs’ screens get
frozen, also Philip’s
<https://lists.gnu.org/archive/html/help-guix/2021-10/msg00047.html>.
was unusable.

> Dunno, we also want to warn about things that will not work to
> its fullest.  Maybe we should reword the sentence?  Like:
>
>   Unfortunately, it means those devices will not be usable.
>   ->
>   Unfortunately, it means those devices will not be usable or that some
>   features will be unavailable.
>
> WDYT?

It is closer to the truth, so yes, but is not important.  The uvesafb
message before will have told AMD users that there may be a false alarm.

> Oops, thanks; I fixed that recursive call in ‘run-welcome-page’.

Ahh.  It works.

Regards,
Florian